import { View } from "@tarojs/components";
import Room from "./Room";
import './floor.scss'

export default function Floor(props) {
  const { floorName, roomList = [] } = props.dataset || {}

  return (
    <View className="floor">
      <View className="head">{floorName}</View>
      <View className="body">
        {roomList.map((room) => {
          return (
            <View className="item" key={room.houseId} >
              <Room dataset={room} onClick={props.onRoomClick}/>
            </View>
          )
        })}
      </View>
    </View>
  );
}
